API reference

Payouts

A Payout object is created when you receive funds from Stripe, or when you initiate a payout to either a bank account or debit card of a connected Stripe account. You can retrieve individual payouts, and list all payouts. Payouts are made on varying schedules, depending on your country and industry. Related guide: Receiving payouts

Knox answers these operations with the same requests and responses as Stripe's API. Authenticate with your secret key, Authorization: Bearer sk_test_..., from your server, and send form-encoded bodies. Test mode only: live processing is currently disabled.

Create a payout

POST/v1/payouts

To send funds to your own bank account, create a new payout object. Your Stripe balance must cover the payout amount. If it doesn’t, you receive an “Insufficient Funds” error. If your API key is in test mode, money won’t actually be sent, though every other action occurs as if you’re in live mode. If you create a manual payout on a Stripe account that uses multiple payment source types, you need to specify the source type balance that the payout draws from. The balance object details available and pending amounts by source type.

Body parameters

  • amountintegerRequired

    A positive integer in cents representing how much to payout.

  • currencystringRequired

    Three-letter ISO currency code, in lowercase. Must be a supported currency.

  • descriptionstring

    An arbitrary string attached to the object. Often useful for displaying to users.

  • destinationstring

    The ID of a bank account or a card to send the payout to. If you don't provide a destination, we use the default external account for the specified currency.

  • expandarray of strings

    Specifies which fields in the response should be expanded.

  • metadataobject

    Set of key-value pairs that you can attach to an object. This can be useful for storing additional information about the object in a structured format. Individual keys can be unset by posting an empty value to them. All keys can be unset by posting an empty value to metadata.

  • methodstring

    The method used to send this payout, which is standard or instant. We support instant for payouts to debit cards and bank accounts in certain countries. Learn more about bank support for Instant Payouts.

    Possible values
    • instant
    • standard
  • payout_methodstring

    The ID of a v2 FinancialAccount to send funds to.

  • source_typestring

    The balance type of your Stripe balance to draw this payout from. Balances for different payment sources are kept separately. You can find the amounts with the Balances API. One of bank_account, card, or fpx.

    Possible values
    • bank_account
    • card
    • fpx
  • statement_descriptorstring

    A string that displays on the recipient's bank or card statement (up to 22 characters). A statement_descriptor that's longer than 22 characters return an error. Most banks truncate this information and display it inconsistently. Some banks might not display it at all. For US ACH payouts, this maps to the ACH Company Entry Description field, which the NACHA standard limits to 10 characters. Stripe truncates descriptors longer than 10 characters for US ACH payouts.

Returns

The payout object.

POST /v1/payouts
curl https://api.knoxapi.com/v1/payouts \
  -H "Authorization: Bearer $KNOX_SECRET_KEY" \
  -d amount=1100 \
  -d currency=usd
Response
{
  "amount": 1100,
  "application_fee": null,
  "application_fee_amount": null,
  "arrival_date": 1234567890,
  "automatic": true,
  "balance_transaction": "txn_1PgaxNB7WZ01zgkWEV3TLf40",
  "created": 1234567890,
  "currency": "usd",
  "description": "STRIPE PAYOUT",
  "destination": "ba_1Pgc79B7WZ01zgkWoU5vBiXt",
  "failure_balance_transaction": null,
  "failure_code": null,
  "failure_message": null,
  "id": "po_1Pgc79B7WZ01zgkWu1KToYf4",
  "livemode": false,
  "metadata": {},
  "method": "standard",
  "object": "payout",
  "original_payout": null,
  "reconciliation_status": "completed",
  "reversed_by": null,
  "source_type": "card",
  "statement_descriptor": null,
  "status": "in_transit",
  "type": "bank_account",
  "trace_id": {
    "status": "status",
    "value": null
  },
  "payout_method": null
}

List all payouts

GET/v1/payouts

Returns a list of existing payouts sent to third-party bank accounts or payouts that Stripe sent to you. The payouts return in sorted order, with the most recently created payouts appearing first.

Query parameters

  • arrival_dateobject | integer

    Only return payouts that are expected to arrive during the given date interval.

    Show 4 child parameters
    • gtinteger
    • gteinteger
    • ltinteger
    • lteinteger
  • createdobject | integer

    Only return payouts that were created during the given date interval.

    Show 4 child parameters
    • gtinteger
    • gteinteger
    • ltinteger
    • lteinteger
  • destinationstring

    The ID of an external account - only return payouts sent to this external account.

  • ending_beforestring

    A cursor for use in pagination. ending_before is an object ID that defines your place in the list. For instance, if you make a list request and receive 100 objects, starting with obj_bar, your subsequent call can include ending_before=obj_bar in order to fetch the previous page of the list.

  • expandarray of strings

    Specifies which fields in the response should be expanded.

  • limitinteger

    A limit on the number of objects to be returned. Limit can range between 1 and 100, and the default is 10.

  • starting_afterstring

    A cursor for use in pagination. starting_after is an object ID that defines your place in the list. For instance, if you make a list request and receive 100 objects, ending with obj_foo, your subsequent call can include starting_after=obj_foo in order to fetch the next page of the list.

  • statusstring

    Only return payouts that have the given status: pending, paid, failed, or canceled.

Returns

A list of payout objects.

GET /v1/payouts
curl -G https://api.knoxapi.com/v1/payouts \
  -H "Authorization: Bearer $KNOX_SECRET_KEY" \
  --data-urlencode limit=3
Response
{
  "object": "list",
  "url": "/v1/payouts",
  "has_more": false,
  "data": [
    {
      "amount": 1100,
      "application_fee": null,
      "application_fee_amount": null,
      "arrival_date": 1234567890,
      "automatic": true,
      "balance_transaction": "txn_1PgaxNB7WZ01zgkWEV3TLf40",
      "created": 1234567890,
      "currency": "usd",
      "description": "STRIPE PAYOUT",
      "destination": "ba_1Pgc79B7WZ01zgkWoU5vBiXt",
      "failure_balance_transaction": null,
      "failure_code": null,
      "failure_message": null,
      "id": "po_1Pgc79B7WZ01zgkWu1KToYf4",
      "livemode": false,
      "metadata": {},
      "method": "standard",
      "object": "payout",
      "original_payout": null,
      "reconciliation_status": "completed",
      "reversed_by": null,
      "source_type": "card",
      "statement_descriptor": null,
      "status": "in_transit",
      "type": "bank_account",
      "trace_id": {
        "status": "status",
        "value": null
      },
      "payout_method": null
    }
  ]
}

Update a payout

POST/v1/payouts/{payout}

Updates the specified payout by setting the values of the parameters you pass. We don’t change parameters that you don’t provide. This request only accepts the metadata as arguments.

Path parameters

  • payoutstringRequired

Body parameters

  • expandarray of strings

    Specifies which fields in the response should be expanded.

  • metadataobject

    Set of key-value pairs that you can attach to an object. This can be useful for storing additional information about the object in a structured format. Individual keys can be unset by posting an empty value to them. All keys can be unset by posting an empty value to metadata.

Returns

The payout object.

POST /v1/payouts/{payout}
curl https://api.knoxapi.com/v1/payouts/po_1Pgc79B7WZ01zgkWu1KToYf4 \
  -H "Authorization: Bearer $KNOX_SECRET_KEY" \
  -d "metadata[order_id]=6735"
Response
{
  "amount": 1100,
  "application_fee": null,
  "application_fee_amount": null,
  "arrival_date": 1234567890,
  "automatic": true,
  "balance_transaction": "txn_1PgaxNB7WZ01zgkWEV3TLf40",
  "created": 1234567890,
  "currency": "usd",
  "description": "STRIPE PAYOUT",
  "destination": "ba_1Pgc79B7WZ01zgkWoU5vBiXt",
  "failure_balance_transaction": null,
  "failure_code": null,
  "failure_message": null,
  "id": "po_1Pgc79B7WZ01zgkWu1KToYf4",
  "livemode": false,
  "metadata": {},
  "method": "standard",
  "object": "payout",
  "original_payout": null,
  "reconciliation_status": "completed",
  "reversed_by": null,
  "source_type": "card",
  "statement_descriptor": null,
  "status": "in_transit",
  "type": "bank_account",
  "trace_id": {
    "status": "status",
    "value": null
  },
  "payout_method": null
}

Retrieve a payout

GET/v1/payouts/{payout}

Retrieves the details of an existing payout. Supply the unique payout ID from either a payout creation request or the payout list. Stripe returns the corresponding payout information.

Path parameters

  • payoutstringRequired

Query parameters

  • expandarray of strings

    Specifies which fields in the response should be expanded.

Returns

The payout object.

GET /v1/payouts/{payout}
curl https://api.knoxapi.com/v1/payouts/po_1Pgc79B7WZ01zgkWu1KToYf4 \
  -H "Authorization: Bearer $KNOX_SECRET_KEY"
Response
{
  "amount": 1100,
  "application_fee": null,
  "application_fee_amount": null,
  "arrival_date": 1234567890,
  "automatic": true,
  "balance_transaction": "txn_1PgaxNB7WZ01zgkWEV3TLf40",
  "created": 1234567890,
  "currency": "usd",
  "description": "STRIPE PAYOUT",
  "destination": "ba_1Pgc79B7WZ01zgkWoU5vBiXt",
  "failure_balance_transaction": null,
  "failure_code": null,
  "failure_message": null,
  "id": "po_1Pgc79B7WZ01zgkWu1KToYf4",
  "livemode": false,
  "metadata": {},
  "method": "standard",
  "object": "payout",
  "original_payout": null,
  "reconciliation_status": "completed",
  "reversed_by": null,
  "source_type": "card",
  "statement_descriptor": null,
  "status": "in_transit",
  "type": "bank_account",
  "trace_id": {
    "status": "status",
    "value": null
  },
  "payout_method": null
}

Cancel a payout

POST/v1/payouts/{payout}/cancel

You can cancel a previously created payout if its status is pending. Stripe refunds the funds to your available balance. You can’t cancel automatic Stripe payouts.

Path parameters

  • payoutstringRequired

Body parameters

  • expandarray of strings

    Specifies which fields in the response should be expanded.

Returns

The payout object.

POST /v1/payouts/{payout}/cancel
curl -X POST https://api.knoxapi.com/v1/payouts/po_1Pgc79B7WZ01zgkWu1KToYf4/cancel \
  -H "Authorization: Bearer $KNOX_SECRET_KEY"
Response
{
  "amount": 1100,
  "application_fee": null,
  "application_fee_amount": null,
  "arrival_date": 1234567890,
  "automatic": true,
  "balance_transaction": "txn_1PgaxNB7WZ01zgkWEV3TLf40",
  "created": 1234567890,
  "currency": "usd",
  "description": "STRIPE PAYOUT",
  "destination": "ba_1Pgc79B7WZ01zgkWoU5vBiXt",
  "failure_balance_transaction": null,
  "failure_code": null,
  "failure_message": null,
  "id": "po_1Pgc79B7WZ01zgkWu1KToYf4",
  "livemode": false,
  "metadata": {},
  "method": "standard",
  "object": "payout",
  "original_payout": null,
  "reconciliation_status": "completed",
  "reversed_by": null,
  "source_type": "card",
  "statement_descriptor": null,
  "status": "in_transit",
  "type": "bank_account",
  "trace_id": {
    "status": "status",
    "value": null
  },
  "payout_method": null
}

Reverse a payout

POST/v1/payouts/{payout}/reverse

Reverses a payout by debiting the destination bank account. At this time, you can only reverse payouts for connected accounts to US and Canadian bank accounts. If the payout is manual and in the pending status, use /v1/payouts/:id/cancel instead. By requesting a reversal through /v1/payouts/:id/reverse, you confirm that the authorized signatory of the selected bank account authorizes the debit on the bank account and that no other authorization is required.

Path parameters

  • payoutstringRequired

Body parameters

  • expandarray of strings

    Specifies which fields in the response should be expanded.

  • metadataobject

    Set of key-value pairs that you can attach to an object. This can be useful for storing additional information about the object in a structured format. Individual keys can be unset by posting an empty value to them. All keys can be unset by posting an empty value to metadata.

Returns

The payout object.

POST /v1/payouts/{payout}/reverse
curl -X POST https://api.knoxapi.com/v1/payouts/po_1Pgc79B7WZ01zgkWu1KToYf4/reverse \
  -H "Authorization: Bearer $KNOX_SECRET_KEY"
Response
{
  "amount": 1100,
  "application_fee": null,
  "application_fee_amount": null,
  "arrival_date": 1234567890,
  "automatic": true,
  "balance_transaction": "txn_1PgaxNB7WZ01zgkWEV3TLf40",
  "created": 1234567890,
  "currency": "usd",
  "description": "STRIPE PAYOUT",
  "destination": "ba_1Pgc79B7WZ01zgkWoU5vBiXt",
  "failure_balance_transaction": null,
  "failure_code": null,
  "failure_message": null,
  "id": "po_1Pgc79B7WZ01zgkWu1KToYf4",
  "livemode": false,
  "metadata": {},
  "method": "standard",
  "object": "payout",
  "original_payout": null,
  "reconciliation_status": "completed",
  "reversed_by": null,
  "source_type": "card",
  "statement_descriptor": null,
  "status": "in_transit",
  "type": "bank_account",
  "trace_id": {
    "status": "status",
    "value": null
  },
  "payout_method": null
}

Operations and schemas come from the pinned Stripe OpenAPI specification (MIT); response examples from its fixtures. Nested object definitions and enums are in the complete specification.